#pragma once

#include <math.h>
#include "MatrixLib.h"
#include "Quaternion.h"

const int kX = 0;
const int kY = 1;
const int kZ = 2;
const int kW = 3;

void QuaternionToMatrix(const CQuaternion &Quaternion,CMatrix44 &Matrix);
void MatrixToQuaternion(const CMatrix44 &Matrix,CQuaternion &Quaternion);